Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 887436 - (Horde_Crypt_Blowfish) Review Request: php-horde-Horde-Crypt-Blowfish - Blowfish Encryption Library
Review Request: php-horde-Horde-Crypt-Blowfish - Blowfish Encryption Library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Horde_Secret
  Show dependency treegraph
 
Reported: 2012-12-15 01:47 EST by Remi Collet
Modified: 2013-03-21 11:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 08:51:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (11.80 KB, text/x-log)
2012-12-16 13:56 EST, Shawn Iwinski
no flags Details
php-horde-Horde-Crypt-Blowfish-review.txt (6.64 KB, text/plain)
2012-12-16 13:58 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2012-12-15 01:47:24 EST
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/horde/php-horde-Horde-Crypt-Blowfish/php-horde-Horde-Crypt-Blowfish.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Crypt-Blowfish-1.0.1-1.remi.src.rpm
Description: 
Provides blowfish encryption/decryption for PHP string data.

Fedora Account System Username: remi
Comment 1 Remi Collet 2012-12-15 01:50:41 EST
This is a fork of php-pear-Crypt-Blowfish 1.0.0, integrated with horde framework.
Horde have never support version 1.1.0.
Comment 2 Shawn Iwinski 2012-12-16 13:56:25 EST
Created attachment 664461 [details]
phpci.log
Comment 3 Shawn Iwinski 2012-12-16 13:58:01 EST
Created attachment 664462 [details]
php-horde-Horde-Crypt-Blowfish-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 887436 --mock-config fedora-rawhide-x86_64
Comment 4 Shawn Iwinski 2012-12-16 14:02:36 EST
===== SHOULD items =====
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

Includes ORIGINAL_LICENSE which is BSD license, but does not contain a license file for LGPLv2.  Please request upstream to include one and add a comment to the spec.



No blockers.



===== APPROVED =====
Comment 5 Shawn Iwinski 2012-12-16 14:13:38 EST
(In reply to comment #4)
> ===== SHOULD items =====
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> 
> Includes ORIGINAL_LICENSE which is BSD license, but does not contain a
> license file for LGPLv2.  Please request upstream to include one and add a
> comment to the spec.

Never mind this comment.  I was looking for a license file labeled LICENSE, but the license text is included in the COPYING file.
Comment 6 Remi Collet 2012-12-16 14:17:05 EST
Thanks for the review


New Package SCM Request
=======================
Package Name: php-horde-Horde-Crypt-Blowfish
Short Description: Blowfish Encryption Library
Owners: remi
Branches: f18 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-12-16 18:59:12 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.